## opentmpfiles 0.2+2019.05.21.git.44a55796ba

=== Makefile ===
binprogs = tmpfiles
bindir = /bin
binmode = 0755
install = install

all:

install:
	$(install) -d $(DESTDIR)$(bindir)
	$(install) -m $(binmode) $(binprogs).sh $(DESTDIR)$(bindir)/$(binprogs)

.PHONY: all install

## opentmpfiles 0.2%2B2019.05.21.git.44a55796ba

=== debian/control ===
Source: opentmpfiles
Section: net
Priority: optional
Maintainer: Thomas Goirand <zigo@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-exec,
 openstack-pkg-tools (>= 99~),
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/debian/opentmpfiles
Vcs-Git: https://salsa.debian.org/debian/opentmpfiles.git
Homepage: https://github.com/OpenRC/opentmpfiles

Package: opentmpfiles
Architecture: all
Depends:
 ${misc:Depends},
Description: standalone utility written to process systemd-style tmpfiles.d files
 This is a standalone utility written to process systemd-style tmpfiles.d files
 so that they can be handled on systems with or without systemd installed.

## opentmpfiles 0.2+2019.05.21.git.44a55796ba

=== debian/changelog ===
opentmpfiles (0.2+2019.05.21.git.44a55796ba-2) unstable; urgency=medium

  [ Lorenzo Puliti ]
  * Add sysv-rc init scripts.

  [ Thomas Goirand ]
  * Add a debian/gbp.conf.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 Jan 2020 16:06:57 +0100

opentmpfiles (0.2+2019.05.21.git.44a55796ba-1) unstable; urgency=medium

  * Initial release. (Closes: #947935)

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 Dec 2019 17:30:29 +0100

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/OpenRC/opentmpfiles
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_installinit:
	dh_installinit --name=opentmpfiles-clean --no-start
	dh_installinit --name=opentmpfiles-setup --no-start
	dh_installinit --name=opentmpfiles-setup-dev --no-start

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/OpenRC/opentmpfiles/tags .*/(\d[\d\.]+)\.tar\.gz

## opentmpfiles 0.3.1

=== meson_options.txt ===
option('rootbindir', type : 'string',
  description : '''override the root binary directory ['/bin']''')

=== debian/changelog ===
opentmpfiles (0.3.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 0.3.1
  * Import and rename manpages from systemd-247
  * Update copyright for systemd manpages

 -- Lorenzo Puliti <plorenzo@disroot.org>  Mon, 01 Feb 2021 00:57:11 +0100

opentmpfiles (0.2+2019.05.21.git.44a55796ba-3) unstable; urgency=medium

  * QA upload.
  * Provide systemd-tmpfiles (Closes: #952897)
  * Bump Debhelper Compat to 13
    - Disable openstack-pkg-tools ( see #976038)
  * Bump S-V to 4.5.1
  * Set Maintainer to QA Group (see #975377)
  * Set Rules-requires-root to no

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sat, 28 Nov 2020 17:25:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: opentmpfiles
 Section: net
 Priority: optional
-Maintainer: Thomas Goirand <zigo@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
- debhelper-compat (= 12),
- dh-exec,
- openstack-pkg-tools (>= 99~),
-Standards-Version: 4.4.1
+ debhelper-compat (= 13),
+ dh-exec
+# openstack-pkg-tools (>= 99~),
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/opentmpfiles
 Vcs-Git: https://salsa.debian.org/debian/opentmpfiles.git
 Homepage: https://github.com/OpenRC/opentmpfiles
 
 Package: opentmpfiles
+Provides: systemd-tmpfiles
 Architecture: all
 Depends:
  ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

#UPSTREAM_GIT := https://github.com/OpenRC/opentmpfiles
#include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_installinit:
	dh_installinit --name=opentmpfiles-clean --no-start
	dh_installinit --name=opentmpfiles-setup --no-start
	dh_installinit --name=opentmpfiles-setup-dev --no-start

override_dh_installman:
	dh_installman
	#Rename manpages to avoid a conflict with systemd
	mv $(CURDIR)/debian/opentmpfiles/usr/share/man/man5/tmpfiles.d.5 \
	  $(CURDIR)/debian/opentmpfiles/usr/share/man/man5/opentmpfiles.d.5
	mv $(CURDIR)/debian/opentmpfiles/usr/share/man/man8/systemd-tmpfiles.8 \
	  $(CURDIR)/debian/opentmpfiles/usr/share/man/man8/opentmpfiles-tmpfiles.8
